/*
 * abstract unix domain bind
 */

#include <sys/socket.h>
#include <sys/un.h>
#include <string.h>
#include <unistd.h>

int main(void)
{
	int s = socket(AF_UNIX, SOCK_STREAM, 0);
	if (s >= 0) {
		struct sockaddr_un addr;
		memset(&addr, 0, sizeof addr);
		addr.sun_family = AF_UNIX;
		addr.sun_path[0] = '\0';
		memcpy(addr.sun_path + 1, "pandora_t060", 12);
		bind(s, (struct sockaddr *)&addr,
		     sizeof(sa_family_t) + 1 + 12);
		close(s);
	}
	return 0;
}
